@keyframes bot-to-top {
  0% {
    bottom: -60px;
  }
  50% {
    bottom: 40px;
  }
}
@keyframes scale-in {
  from {
    transform: scale(0);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}
.container_messagerie .row.row-broken {
  padding-bottom: 0;
}
.container_messagerie .col-inside-lg {
  padding: 20px;
}
.container_messagerie .chat {
  /*height: calc(100vh - 180px);*/
}
.container_messagerie .chat .avatar {
  width: 40px;
  height: 40px;
  position: absolute;
  width: 40px;
  height: 40px;
  position: absolute;
}
.container_messagerie .chat .avatar img {
  display: block;
  border-radius: 20px;
  height: 100%;
  display: block;
  border-radius: 20px;
  height: 100%;
}
.container_messagerie .chat .avatar .status.off {
  border: 1px solid #5a5a5a;
  background: #ffffff;
}
.container_messagerie .chat .avatar .status.online {
  background: #4caf50;
}
.container_messagerie .chat .avatar .status.busy {
  background: #ffc107;
}
.container_messagerie .chat .avatar .status.offline {
  background: #ed4e6e;
}
.container_messagerie .chat .avatar .status {
  width: 10px;
  height: 10px;
  border-radius: 5px;
  position: absolute;
}
.container_messagerie .chat input, .container_messagerie .chat textarea {
  -webkit-appearance: none;
  border-radius: 0;
  -webkit-appearance: none;
  border-radius: 0;
}
.container_messagerie .chat input::-webkit-input-placeholder, .container_messagerie .chat textarea::-webkit-input-placeholder {
  color: #fff;
}
.container_messagerie .chat input:-moz-placeholder, .container_messagerie .chat textarea:-moz-placeholder {
  color: #fff;
}
.container_messagerie .chat input::-moz-placeholder, .container_messagerie .chat textarea::-moz-placeholder {
  color: #fff;
}
.container_messagerie .chat input:-ms-input-placeholder, .container_messagerie .chat textarea:-ms-input-placeholder {
  color: #fff;
}
.container_messagerie .decor-default {
  background-color: #ffffff;
}
.container_messagerie .chat-users h6 {
  font-size: 20px;
  margin: 0 0 20px;
}
.container_messagerie .chat-users .user {
  position: relative;
  padding: 0 0 0 50px;
  display: block;
  cursor: pointer;
  margin: 0 0 10px;
  background: #eee;
  padding: 5px;
  border-radius: 5px;
}
.container_messagerie .chat-users .user.selected {
  background-color: #1694eb;
  color: #fff;
}
.container_messagerie .chat-users .user:hover {
  background-color: #ccc;
  color: #fff;
}
.container_messagerie .chat-users .user .avatar {
  top: 5px;
  left: 5px;
}
.container_messagerie .chat-users .user .status {
  bottom: 0;
  left: 28px;
}
.container_messagerie .chat-users .user .name {
  font-size: 14px;
  font-weight: bold;
  line-height: 20px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-left: 50px;
}
.container_messagerie .chat-users .user .mood {
  font: 200 14px/20px "Raleway", sans-serif;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-left: 50px;
}
.container_messagerie .chat-body h6 {
  font-size: 20px;
  margin: 0 0 20px;
}
.container_messagerie .chat-body .answer.left {
  padding: 0 0 0 58px;
  text-align: left;
  float: left;
}
.container_messagerie .chat-body .answer.left .avatar {
  left: 0;
}
.container_messagerie .chat-body .answer.left .avatar .status {
  right: 4px;
}
.container_messagerie .chat-body .answer.left .text {
  background: #ebebeb;
  background: #fff;
  color: #333333;
  border-radius: 8px 8px 8px 0;
}
.container_messagerie .chat-body .answer.left .text:before {
  left: -30px;
  border-right-color: #fff;
  border-right-width: 12px;
}
.container_messagerie .chat-body .answer.left .time {
  padding-left: 12px;
  color: #333333;
  font-size: 12px;
}
.container_messagerie .chat-body .answer {
  position: relative;
  max-width: 600px;
  overflow: hidden;
  clear: both;
}
.container_messagerie .chat-body .answer .avatar {
  bottom: 36px;
}
.container_messagerie .chat-body .answer .avatar .status {
  bottom: 0;
}
.container_messagerie .chat-body .answer .name {
  font-size: 14px;
  line-height: 36px;
}
.container_messagerie .chat-body .answer .text {
  padding: 12px;
  font-size: 16px;
  line-height: 26px;
  position: relative;
}
.container_messagerie .chat-body .answer .text:before {
  content: "";
  display: block;
  position: absolute;
  bottom: 0;
  border: 18px solid transparent;
  border-bottom-width: 0;
}
.container_messagerie .chat-body .answer .time {
  font-size: 12px;
  line-height: 36px;
  position: relative;
  padding-bottom: 1px;
}
.container_messagerie .chat-body .answer.right {
  padding: 0 58px 0 0;
  text-align: right;
  float: right;
}
.container_messagerie .chat-body .answer.right .avatar {
  right: 0;
}
.container_messagerie .chat-body .answer.right .avatar .status {
  left: 4px;
}
.container_messagerie .chat-body .answer.right .text {
  background: #7266ba;
  color: #ffffff;
  border-radius: 8px 8px 0 8px;
}
.container_messagerie .chat-body .answer.right .text:before {
  right: -30px;
  border-left-color: #7266ba;
  border-left-width: 12px;
}
.container_messagerie .chat-body .answer.right .time {
  padding-right: 12px;
  color: #333333;
  font-size: 12px;
}
.container_messagerie .chat-body .answer-add {
  clear: both;
  position: relative;
  padding: 20px;
  background: #46be8a;
}
.container_messagerie .chat-body .answer-add input, .container_messagerie .chat-body .answer-add textarea {
  border: none;
  background: none;
  display: block;
  width: 100%;
  font-size: 16px;
  line-height: 20px;
  padding: 0;
  color: #ffffff;
}
.container_messagerie .chat-body .answer-add .answer-btn-1 {
  background: url("http://91.234.35.26/iwiki-admin/v1.0.0/admin/img/icon-40.png") 50% 50% no-repeat;
  right: 56px;
}
.container_messagerie .chat-body .answer-add .answer-btn {
  display: block;
  cursor: pointer;
  width: 36px;
  height: 36px;
  position: absolute;
  top: 50%;
  margin-top: -18px;
  font-size: 33px;
  color: #fff;
  right: 20px;
}
.container_messagerie .chat-body .answer-add .answer-btn-2 {
  background: url("http://91.234.35.26/iwiki-admin/v1.0.0/admin/img/icon-41.png") 50% 50% no-repeat;
  right: 20px;
}
.container_messagerie .contenu_discussion {
  height: 300px;
  overflow: hidden;
  position: relative;
  background: #eeeeee;
  padding: 15px;
  border-radius: 5px 5px 0px 0px;
}

.voir_plus_messages {
  text-align: center;
  padding: 30px;
}
